org.keycloak.social.google

## Class GoogleIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.broker.oidc.OIDCIdentityProviderConfig
      - - org.keycloak.social.google.GoogleIdentityProviderConfig

- All Implemented Interfaces:
    Serializable

      public class GoogleIdentityProviderConfig
      extends OIDCIdentityProviderConfig

  Author:
    Vlastimil Elias (velias at redhat dot com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.OIDCIdentityProviderConfig

      `JWKS_URL, USE_JWKS_URL, VALIDATE_SIGNATURE`

    - ### Fields inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `PKCE_ENABLED, PKCE_METHOD`

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleIdentityProviderConfig()`
    `GoogleIdentityProviderConfig(IdentityProviderModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostedDomain()`
    `boolean` | `isOfflineAccess()`
    `boolean` | `isUserIp()`
    `void` | `setHostedDomain(String hostedDomain)`
    `void` | `setOfflineAccess(boolean offlineAccess)`
    `void` | `setUserIp(boolean ip)`

    - ### Methods inherited from class org.keycloak.broker.oidc.OIDCIdentityProviderConfig

      `getAllowedClockSkew, getIssuer, getJwksUrl, getLogoutUrl, getPrompt, getPublicKeySignatureVerifier, getPublicKeySignatureVerifierKeyId, isBackchannelSupported, isDisableUserInfoService, isUseJwksUrl, isValidateSignature, setBackchannelSupported, setDisableUserInfoService, setIssuer, setJwksUrl, setLogoutUrl, setPrompt, setPublicKeySignatureVerifier, setPublicKeySignatureVerifierKeyId, setUseJwksUrl, setValidateSignature, validate`

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientAssertionSigningAlg, getClientAuthMethod, getClientId, getClientSecret, getDefaultScope, getForwardParameters, getPkceMethod, getTokenUrl, getUserInfoUrl, isBasicAuthentication, isJWTAuthentication, isPkceEnabled, isUiLocales, setAuthorizationUrl, setClientAssertionSigningAlg, setClientAuthMethod, setClientId, setClientSecret, setDefaultScope, setForwardParameters, setPkceEnabled, setPkceMethod, setTokenUrl, setUiLocales, setUserInfoUrl`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoogleIdentityProviderConfig

          public GoogleIdentityProviderConfig(IdentityProviderModel model)

    - #### GoogleIdentityProviderConfig

          public GoogleIdentityProviderConfig()

  - ### Method Detail

    - #### isUserIp

          public boolean isUserIp()

    - #### setUserIp

          public void setUserIp(boolean ip)

    - #### getHostedDomain

          public String getHostedDomain()

    - #### setHostedDomain

          public void setHostedDomain(String hostedDomain)

    - #### isOfflineAccess

          public boolean isOfflineAccess()

    - #### setOfflineAccess

          public void setOfflineAccess(boolean offlineAccess)

Copyright © 2021 JBoss by Red Hat. All rights reserved.